
class CJamoBoundBNCore  
{
private:
	BOOL	InitBN(JamoBoundBN *pBN,int nType);
	BOOL	CreateParentLink(JamoBoundBN *pBN);
	BOOL	SaveBN(JamoBoundBN *pBN, FILE *file);
	BOOL	SetDataInBN(JamoBoundBN *pBN,RECT* pRects);

public:
	BOOL	LoadBN(JamoBoundBN *pBN, FILE *file);
	BOOL	deleteBN(JamoBoundBN *pBN);
	float	ForwardRect(JamoBoundBN *pBN,int RectId);
	float	ForwardBN(JamoBoundBN *pBN);
	BOOL	SetDataInRect(JamoBoundBN *pBN,int RectId,RECT rt);

public:
	CJamoBoundBNCore();
	virtual ~CJamoBoundBNCore();

};

